%define user_group  ircd

Name:		ircd-ratbox
Version:	2.2.8
Release:	6%{?dist}
Summary:	Ircd-ratbox is an advanced, stable and fast ircd	

License:	GPLv2
Group:		System Environment/Daemons

Conflicts:	ircd-hybrid
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	openssl-devel, bison, flex
Requires(pre):	shadow-utils
Requires(preun):	/sbin/chkconfig
Requires(preun):	/sbin/service
Requires(post):		/sbin/chkconfig

URL:		http://www.ircd-ratbox.org/
Source:		http://www.ircd-ratbox.org/download/%{name}-%{version}.tgz
Source1:	ircd.init
Source2:	ircd.sysconfig
Source3:	ircd.fedora.conf
Source4:	ircd.logrotate
Patch0:		ircd-ratbox-2.2.8-offbyone.patch

%description
ircd-ratbox is an advanced, stable, fast ircd. It is an evolution where
ircd-hybrid left off around version 7-rc1. It supports the TS3 and TS5
protocols, and is used on EFnet and other IRC networks.


%package mkpasswd
Summary:	Password hash generator for ircd-ratbox
Group:		Applications/File

%description mkpasswd
Ircd-mkpasswd is a password hash generator for ircd-ratbox.

%prep
%setup -q 
%patch0 -p1 -b .offbyone

%{__sed} -i													\
	-e 's|#servlink_path = "/usr/local/ircd/bin/servlink";|servlink_path = "%{_bindir}/servlink";|'		\
	-e 's|/usr/local/ircd/modules|%{_datadir}/ircd/modules|g'						\
	-e 's|/usr/local/ircd/etc/|%{_sysconfdir}/ircd|g'							\
	-e 's|"logs/|"%{_var}/log|g'										\
doc/example.*conf

sed 's/-Werror//g' -i configure

%configure						\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--with-helpdir=%{_datadir}/ircd			\
	--with-moduledir=%{_datadir}/ircd/modules	\
	--with-confdir=%{_sysconfdir}/ircd		\
	--mandir=%{_mandir}				\
	--with-logdir=%{_var}/log/ircd			\
	--enable-ipv6					\
	--enable-openssl				\
	--enable-zlib					\
	--with-nicklen=32				\
	--with-topiclen=350				\
	--enable-small-net				\
	--enable-services		

%build
make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_datadir}/ircd $RPM_BUILD_ROOT%{_var}/log $RPM_BUILD_ROOT%{_sysconfdir}/ircd
make install DESTDIR=$RPM_BUILD_ROOT
install -D -m755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/ircd
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/ircd
install -D -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/ircd/ircd.conf
install -D -m664 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/ircd
mv $RPM_BUILD_ROOT%{_bindir}/mkpasswd $RPM_BUILD_ROOT%{_bindir}/ircd-mkpasswd
mv $RPM_BUILD_ROOT%{_datadir}/ircd-old/modules $RPM_BUILD_ROOT%{_datadir}/ircd/modules
rm -fr $RPM_BUILD_ROOT%{_datadir}/ircd-old

%clean
rm -rf $RPM_BUILD_ROOT


%pre
getent group ircd  >/dev/null || groupadd -r ircd
getent passwd ircd >/dev/null || \
useradd -r -g ircd -m -d %{_var}/run/ircd-ratbox -s /sbin/nologin \
	-c "ircd-ratbox user" ircd

%post
if [ $1 -eq 0 ]; then
        /sbin/chkconfig --add ircd
fi

%preun
if [ $1 -eq 0 ]; then
        /sbin/service ircd stop >/dev/null 2>&1
        /sbin/chkconfig --del ircd
fi


%files
%defattr(-,root,root)
%doc ChangeLog CREDITS INSTALL LICENSE README RELNOTES SVN-Access doc/* 
%{_bindir}/convertilines
%{_bindir}/convertklines
%{_bindir}/ircd
%{_bindir}/servlink
%{_bindir}/viconf
%{_bindir}/viklines
%{_bindir}/vimotd
%{_datadir}/ircd*
%config(noreplace) %{_sysconfdir}/ircd/ircd.conf
%dir %{_sysconfdir}/ircd
%{_sysconfdir}/ircd/*.conf
%{_sysconfdir}/ircd/*.motd
%{_sysconfdir}/sysconfig/ircd
%{_sysconfdir}/init.d/ircd
%doc %{_mandir}/man8/ircd*
%dir %attr(750,ircd,ircd) %{_var}/log/ircd
%config(noreplace) %{_sysconfdir}/logrotate.d/ircd

%files mkpasswd
%{_bindir}/ircd-mkpasswd

%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.2.8-6
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 2.2.8-3
- rebuild with new openssl

* Wed Aug 27 2008 Marek Mahut <mmahut@fedoraproject.org> - 2.2.8-2
- Initial package build
